gnutls_x509_privkey_fix(3)

NAME
gnutls_x509_privkey_fix - recalculate some parameters of the key.

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_fix(gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_privkey_t key
    Holds the key

DESCRIPTION
This function will recalculate the secondary parameters in a key. In RSA keys, this can be the coefficient and exponent1,2.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.